return {
  'nvim-telescope/telescope.nvim',
  dependencies = {
    'nvim-lua/plenary.nvim',
  },
  config = function()
    require('telescope').setup({})

    -- TODO: Add more mappings?
    local opts = { noremap = true }
    vim.keymap.set('n', '<leader>ff', ':Telescope find_files<CR>', opts)
    vim.keymap.set('n', '<leader>gf', ':Telescope git_files<CR>', opts)
    vim.keymap.set('n', '<leader>lg', ':Telescope live_grep<CR>', opts)
    vim.keymap.set('n', '<leader>b', ':Telescope buffers<CR>', opts)
    vim.keymap.set('n', '<leader>he', ':Telescope help_tags<CR>', opts)

  end
}
